.TH MVIEWER 1 "Dec 2016" "Montage 5" "Montage"
.SH NAME
mViewer \- Render multi-dimensional images and large-scale images

.SH DESCRIPTION
mViewer generates a JPEG image file from a FITS file (or a set of three
FITS files in full color).  A data range for each image can be defined,
and the data can be stretched by any power of the log() function
(including zero: linear) or using custom gaussian histogram equalization
algorithms.  Pseudo-color color tables can be applied
in single-image mode.
.PP
mViewer can also generate overlays on the image of coordinate grids,
source catalogs (with scaled symbols), image outlings from metadata tables,
plus various markers and labels.
.PP
Along with a few other Montage modules, mViewer can be wrapped to support
interactive image analysis from Python or through AJAX web interfaces.
.PP
The functionality of mViewer goes beyond what is reasonable to capture
in a man page.  The user is therefore directed to the
mViewer documentation suite.
.PP
Examples:
.PP
To create a grayscale image from a FITS file:
.PP

.PP

.PP
To create a full color image from three co-registered FITS files:
.PP

.PP

.PP
A complex example with a catalog overlay (symbol size, shape and color
controlled by table columns), image metadata, a coordinate grid and some custom
labeling:
.PP


.SH BUGS
The drizzle algorithm has been implemented but has not been tested
in this release.
.PP
If a header template contains carriage returns (i.e., created/modified
on a Windows machine), the cfitsio library will be unable to read it
properly, resulting in the error: [struct stat="ERROR", status=207,
msg="illegal character in keyword"]
.PP
It is best for the background correction algorithms if the area
described in the header template completely encloses all of the input
images in their entirety. If parts of input images are "chopped off"
by the header template, the background correction will be affected. We
recommend you use an expanded header for the reprojection and
background modeling steps, returning to the originally desired header
size for the final coaddition. The default background matching assumes
that there are no non-linear background variations in the individual
images (and therefore in the overlap differences). If there is any
uncertainty in this regard, it is safer to turn on the "level only"
background matching (the "\-l" flag in mBgModel.

.SH COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California
.PP
If your research uses Montage, please include the following
acknowledgement: "This research made use of Montage. It is funded by
the National Science Foundation under Grant Number ACI-1440620, and
was previously funded by the National Aeronautics and Space
Administration's Earth Science Technology Office, Computation
Technologies Project, under Cooperative Agreement Number NCC5-626
between NASA and the California Institute of Technology."
.PP
The Montage distribution includes an adaptation of the MOPEX algorithm
developed at the Spitzer Science Center.
